import * as React from "react";
import * as angular from "angular";

import repoHeader from "./directives/components/publicRepo/header";
import repoSidebar from "./directives/components/publicRepo/sidebar";
import repoMain from "./directives/components/publicRepo/main";

angular.module('quayPages').directive('rpHeader', function(reactDirective) {
  return reactDirective(repoHeader);
});

angular.module('quayPages').directive('rpSidebar', function(reactDirective) {
  return reactDirective(repoSidebar);
});

angular.module('quayPages').directive('rpMain', function(reactDirective) {
  return reactDirective(repoMain);
});

